IllegalThreadStateException (Java Platform SE 8 )
Keywords: java.lang.IllegalThreadStateException class
Date: 2016-07-28

compact1, compact2, compact3
java.lang

## Class IllegalThreadStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.lang.IllegalThreadStateException

- All Implemented Interfaces:
    Serializable

      public class IllegalThreadStateException
      extends IllegalArgumentException

  Thrown to indicate that a thread is not in an appropriate state for the requested operation. See, for example, the `suspend` and `resume` methods in class `Thread`.
  Since:
    JDK1.0
  See Also:
    `Thread.resume()`, `Thread.suspend()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalThreadStateException()` Constructs an `IllegalThreadStateException` with no detail message.
    `IllegalThreadStateException(String s)` Constructs an `IllegalThreadStateException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalThreadStateException

          public IllegalThreadStateException()

      Constructs an `IllegalThreadStateException` with no detail message.

    - #### IllegalThreadStateException

          public IllegalThreadStateException(String s)

      Constructs an `IllegalThreadStateException` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.